org.wildfly.swarm.config.infinispan.cache_container

## Class ReplicatedCache<T extends ReplicatedCache<T>>

- java.lang.Object
- - org.wildfly.swarm.config.infinispan.cache_container.ReplicatedCache<T>

-     public class ReplicatedCache<T extends ReplicatedCache<T>>
      extends Object

  A replicated cache configuration

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ReplicatedCache.ReplicatedCacheResources` Child mutators for ReplicatedCache

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplicatedCache(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `activations()` The number of cache node activations (bringing a node into memory from a cache store) .
    `T` | `activations(Long value)` The number of cache node activations (bringing a node into memory from a cache store) .
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `asyncMarshalling()` If enabled, this will cause marshalling of entries to be performed asynchronously.
    `T` | `asyncMarshalling(Boolean value)` If enabled, this will cause marshalling of entries to be performed asynchronously.
    `Long` | `averageReadTime()` Average time (in ms) for cache reads.
    `T` | `averageReadTime(Long value)` Average time (in ms) for cache reads.
    `Long` | `averageReplicationTime()` The average time taken to replicate data around the cluster.
    `T` | `averageReplicationTime(Long value)` The average time taken to replicate data around the cluster.
    `Long` | `averageWriteTime()` Average time (in ms) for cache writes.
    `T` | `averageWriteTime(Long value)` Average time (in ms) for cache writes.
    `T` | `backupForComponent()` A cache for which this cache acts as a backup (for use with cross site replication).
    `T` | `backupForComponent(BackupForComponent value)` A cache for which this cache acts as a backup (for use with cross site replication).
    `T` | `backupForComponent(BackupForComponentConsumer consumer)` A cache for which this cache acts as a backup (for use with cross site replication).
    `T` | `backupForComponent(BackupForComponentSupplier supplier)` A cache for which this cache acts as a backup (for use with cross site replication).
    `T` | `backupsComponent()` The remote backups for this cache.
    `T` | `backupsComponent(BackupsComponent value)` The remote backups for this cache.
    `T` | `backupsComponent(BackupsComponentConsumer consumer)` The remote backups for this cache.
    `T` | `backupsComponent(BackupsComponentSupplier supplier)` The remote backups for this cache.
    `T` | `binaryJdbcStore()` The cache JDBC store configuration.
    `T` | `binaryJdbcStore(BinaryJDBCStore value)` The cache JDBC store configuration.
    `T` | `binaryJdbcStore(BinaryJDBCStoreConsumer consumer)` The cache JDBC store configuration.
    `T` | `binaryJdbcStore(BinaryJDBCStoreSupplier supplier)` The cache JDBC store configuration.
    `String` | `cacheStatus()` The status of the cache component.
    `T` | `cacheStatus(String value)` The status of the cache component.
    `T` | `customStore()` The cache store configuration.
    `T` | `customStore(CustomStore value)` The cache store configuration.
    `T` | `customStore(CustomStoreConsumer consumer)` The cache store configuration.
    `T` | `customStore(CustomStoreSupplier supplier)` The cache store configuration.
    `Long` | `elapsedTime()` Time (in secs) since cache started.
    `T` | `elapsedTime(Long value)` Time (in secs) since cache started.
    `T` | `evictionComponent()` The cache eviction configuration.
    `T` | `evictionComponent(EvictionComponent value)` The cache eviction configuration.
    `T` | `evictionComponent(EvictionComponentConsumer consumer)` The cache eviction configuration.
    `T` | `evictionComponent(EvictionComponentSupplier supplier)` The cache eviction configuration.
    `T` | `expirationComponent()` The cache expiration configuration.
    `T` | `expirationComponent(ExpirationComponent value)` The cache expiration configuration.
    `T` | `expirationComponent(ExpirationComponentConsumer consumer)` The cache expiration configuration.
    `T` | `expirationComponent(ExpirationComponentSupplier supplier)` The cache expiration configuration.
    `T` | `fileStore()` The cache file store configuration.
    `T` | `fileStore(FileStore value)` The cache file store configuration.
    `T` | `fileStore(FileStoreConsumer consumer)` The cache file store configuration.
    `T` | `fileStore(FileStoreSupplier supplier)` The cache file store configuration.
    `String` | `getKey()`
    `Double` | `hitRatio()` The hit/miss ratio for the cache (hits/hits+misses).
    `T` | `hitRatio(Double value)` The hit/miss ratio for the cache (hits/hits+misses).
    `Long` | `hits()` The number of cache attribute hits.
    `T` | `hits(Long value)` The number of cache attribute hits.
    `String` | `indexing()` If enabled, entries will be indexed when they are added to the cache.
    `T` | `indexing(String value)` If enabled, entries will be indexed when they are added to the cache.
    `Map` | `indexingProperties()` Properties to control indexing behaviour
    `T` | `indexingProperties(Map value)` Properties to control indexing behaviour
    `T` | `indexingProperty(String key, Object value)` Properties to control indexing behaviour
    `Long` | `invalidations()` The number of cache invalidations.
    `T` | `invalidations(Long value)` The number of cache invalidations.
    `T` | `jdbcStore()` The cache JDBC store configuration.
    `T` | `jdbcStore(JDBCStore value)` The cache JDBC store configuration.
    `T` | `jdbcStore(JDBCStoreConsumer consumer)` The cache JDBC store configuration.
    `T` | `jdbcStore(JDBCStoreSupplier supplier)` The cache JDBC store configuration.
    `String` | `jndiName()` The jndi-name to which to bind this cache instance.
    `T` | `jndiName(String value)` The jndi-name to which to bind this cache instance.
    `T` | `lockingComponent()` The locking configuration of the cache.
    `T` | `lockingComponent(LockingComponent value)` The locking configuration of the cache.
    `T` | `lockingComponent(LockingComponentConsumer consumer)` The locking configuration of the cache.
    `T` | `lockingComponent(LockingComponentSupplier supplier)` The locking configuration of the cache.
    `Long` | `misses()` The number of cache attribute misses.
    `T` | `misses(Long value)` The number of cache attribute misses.
    `T` | `mixedJdbcStore()` The cache JDBC store configuration.
    `T` | `mixedJdbcStore(MixedJDBCStore value)` The cache JDBC store configuration.
    `T` | `mixedJdbcStore(MixedJDBCStoreConsumer consumer)` The cache JDBC store configuration.
    `T` | `mixedJdbcStore(MixedJDBCStoreSupplier supplier)` The cache JDBC store configuration.
    `Mode` | `mode()` Sets the clustered cache mode, ASYNC for asynchronous operation, or SYNC for synchronous operation.
    `T` | `mode(Mode value)` Sets the clustered cache mode, ASYNC for asynchronous operation, or SYNC for synchronous operation.
    `String` | `module()` The module whose class loader should be used when building this cache's configuration.
    `T` | `module(String value)` The module whose class loader should be used when building this cache's configuration.
    `T` | `noneStore()` A store-less configuration.
    `T` | `noneStore(NoneStore value)` A store-less configuration.
    `T` | `noneStore(NoneStoreConsumer consumer)` A store-less configuration.
    `T` | `noneStore(NoneStoreSupplier supplier)` A store-less configuration.
    `Integer` | `numberOfEntries()` The current number of entries in the cache.
    `T` | `numberOfEntries(Integer value)` The current number of entries in the cache.
    `T` | `partitionHandlingComponent()` The partition handling configuration for distributed and replicated caches.
    `T` | `partitionHandlingComponent(PartitionHandlingComponent value)` The partition handling configuration for distributed and replicated caches.
    `T` | `partitionHandlingComponent(PartitionHandlingComponentConsumer consumer)` The partition handling configuration for distributed and replicated caches.
    `T` | `partitionHandlingComponent(PartitionHandlingComponentSupplier supplier)` The partition handling configuration for distributed and replicated caches.
    `Long` | `passivations()` The number of cache node passivations (passivating a node from memory to a cache store).
    `T` | `passivations(Long value)` The number of cache node passivations (passivating a node from memory to a cache store).
    `Long` | `queueFlushInterval()` In ASYNC mode, this attribute controls how often the asynchronous thread used to flush the replication queue runs.
    `T` | `queueFlushInterval(Long value)` In ASYNC mode, this attribute controls how often the asynchronous thread used to flush the replication queue runs.
    `Integer` | `queueSize()` In ASYNC mode, this attribute can be used to trigger flushing of the queue when it reaches a specific threshold.
    `T` | `queueSize(Integer value)` In ASYNC mode, this attribute can be used to trigger flushing of the queue when it reaches a specific threshold.
    `Double` | `readWriteRatio()` The read/write ratio of the cache ((hits+misses)/stores).
    `T` | `readWriteRatio(Double value)` The read/write ratio of the cache ((hits+misses)/stores).
    `T` | `remoteStore()` The cache remote store configuration.
    `T` | `remoteStore(RemoteStore value)` The cache remote store configuration.
    `T` | `remoteStore(RemoteStoreConsumer consumer)` The cache remote store configuration.
    `T` | `remoteStore(RemoteStoreSupplier supplier)` The cache remote store configuration.
    `Long` | `remoteTimeout()` In SYNC mode, the timeout (in ms) used to wait for an acknowledgment when making a remote call, after which the call is aborted and an exception is thrown.
    `T` | `remoteTimeout(Long value)` In SYNC mode, the timeout (in ms) used to wait for an acknowledgment when making a remote call, after which the call is aborted and an exception is thrown.
    `Long` | `removeHits()` The number of cache attribute remove hits.
    `T` | `removeHits(Long value)` The number of cache attribute remove hits.
    `Long` | `removeMisses()` The number of cache attribute remove misses.
    `T` | `removeMisses(Long value)` The number of cache attribute remove misses.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Long` | `replicationCount()` The number of times data was replicated around the cluster.
    `T` | `replicationCount(Long value)` The number of times data was replicated around the cluster.
    `Long` | `replicationFailures()` The number of data replication failures.
    `T` | `replicationFailures(Long value)` The number of data replication failures.
    `T` | `stateTransferComponent()` The state transfer configuration for distributed and replicated caches.
    `T` | `stateTransferComponent(StateTransferComponent value)` The state transfer configuration for distributed and replicated caches.
    `T` | `stateTransferComponent(StateTransferComponentConsumer consumer)` The state transfer configuration for distributed and replicated caches.
    `T` | `stateTransferComponent(StateTransferComponentSupplier supplier)` The state transfer configuration for distributed and replicated caches.
    `Boolean` | `statisticsEnabled()` If enabled, statistics will be collected for this cache
    `T` | `statisticsEnabled(Boolean value)` If enabled, statistics will be collected for this cache
    `Long` | `stores()` The number of cache attribute put operations.
    `T` | `stores(Long value)` The number of cache attribute put operations.
    `ReplicatedCache.ReplicatedCacheResources` | `subresources()`
    `Double` | `successRatio()` The data replication success ratio (successes/successes+failures).
    `T` | `successRatio(Double value)` The data replication success ratio (successes/successes+failures).
    `Long` | `timeSinceReset()` Time (in secs) since cache statistics were reset.
    `T` | `timeSinceReset(Long value)` Time (in secs) since cache statistics were reset.
    `T` | `transactionComponent()` The cache transaction configuration.
    `T` | `transactionComponent(TransactionComponent value)` The cache transaction configuration.
    `T` | `transactionComponent(TransactionComponentConsumer consumer)` The cache transaction configuration.
    `T` | `transactionComponent(TransactionComponentSupplier supplier)` The cache transaction configuration.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReplicatedCache

          public ReplicatedCache(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public ReplicatedCache.ReplicatedCacheResources subresources()

    - #### evictionComponent

          public T evictionComponent(EvictionComponent value)

      The cache eviction configuration.

    - #### evictionComponent

          public T evictionComponent(EvictionComponentConsumer consumer)

      The cache eviction configuration.

    - #### evictionComponent

          public T evictionComponent()

      The cache eviction configuration.

    - #### evictionComponent

          public T evictionComponent(EvictionComponentSupplier supplier)

      The cache eviction configuration.

    - #### expirationComponent

          public T expirationComponent(ExpirationComponent value)

      The cache expiration configuration.

    - #### expirationComponent

          public T expirationComponent(ExpirationComponentConsumer consumer)

      The cache expiration configuration.

    - #### expirationComponent

          public T expirationComponent()

      The cache expiration configuration.

    - #### expirationComponent

          public T expirationComponent(ExpirationComponentSupplier supplier)

      The cache expiration configuration.

    - #### customStore

          public T customStore(CustomStore value)

      The cache store configuration.

    - #### customStore

          public T customStore(CustomStoreConsumer consumer)

      The cache store configuration.

    - #### customStore

          public T customStore()

      The cache store configuration.

    - #### customStore

          public T customStore(CustomStoreSupplier supplier)

      The cache store configuration.

    - #### noneStore

          public T noneStore(NoneStore value)

      A store-less configuration.

    - #### noneStore

          public T noneStore(NoneStoreConsumer consumer)

      A store-less configuration.

    - #### noneStore

          public T noneStore()

      A store-less configuration.

    - #### noneStore

          public T noneStore(NoneStoreSupplier supplier)

      A store-less configuration.

    - #### backupForComponent

          public T backupForComponent(BackupForComponent value)

      A cache for which this cache acts as a backup (for use with cross site replication).

    - #### backupForComponent

          public T backupForComponent(BackupForComponentConsumer consumer)

      A cache for which this cache acts as a backup (for use with cross site replication).

    - #### backupForComponent

          public T backupForComponent()

      A cache for which this cache acts as a backup (for use with cross site replication).

    - #### backupForComponent

          public T backupForComponent(BackupForComponentSupplier supplier)

      A cache for which this cache acts as a backup (for use with cross site replication).

    - #### transactionComponent

          public T transactionComponent(TransactionComponent value)

      The cache transaction configuration.

    - #### transactionComponent

          public T transactionComponent(TransactionComponentConsumer consumer)

      The cache transaction configuration.

    - #### transactionComponent

          public T transactionComponent()

      The cache transaction configuration.

    - #### transactionComponent

          public T transactionComponent(TransactionComponentSupplier supplier)

      The cache transaction configuration.

    - #### binaryJdbcStore

          public T binaryJdbcStore(BinaryJDBCStore value)

      The cache JDBC store configuration.

    - #### binaryJdbcStore

          public T binaryJdbcStore(BinaryJDBCStoreConsumer consumer)

      The cache JDBC store configuration.

    - #### binaryJdbcStore

          public T binaryJdbcStore()

      The cache JDBC store configuration.

    - #### binaryJdbcStore

          public T binaryJdbcStore(BinaryJDBCStoreSupplier supplier)

      The cache JDBC store configuration.

    - #### fileStore

          public T fileStore(FileStore value)

      The cache file store configuration.

    - #### fileStore

          public T fileStore(FileStoreConsumer consumer)

      The cache file store configuration.

    - #### fileStore

          public T fileStore()

      The cache file store configuration.

    - #### fileStore

          public T fileStore(FileStoreSupplier supplier)

      The cache file store configuration.

    - #### stateTransferComponent

          public T stateTransferComponent(StateTransferComponent value)

      The state transfer configuration for distributed and replicated caches.

    - #### stateTransferComponent

          public T stateTransferComponent(StateTransferComponentConsumer consumer)

      The state transfer configuration for distributed and replicated caches.

    - #### stateTransferComponent

          public T stateTransferComponent()

      The state transfer configuration for distributed and replicated caches.

    - #### stateTransferComponent

          public T stateTransferComponent(StateTransferComponentSupplier supplier)

      The state transfer configuration for distributed and replicated caches.

    - #### jdbcStore

          public T jdbcStore(JDBCStore value)

      The cache JDBC store configuration.

    - #### jdbcStore

          public T jdbcStore(JDBCStoreConsumer consumer)

      The cache JDBC store configuration.

    - #### jdbcStore

          public T jdbcStore()

      The cache JDBC store configuration.

    - #### jdbcStore

          public T jdbcStore(JDBCStoreSupplier supplier)

      The cache JDBC store configuration.

    - #### partitionHandlingComponent

          public T partitionHandlingComponent(PartitionHandlingComponent value)

      The partition handling configuration for distributed and replicated caches.

    - #### partitionHandlingComponent

          public T partitionHandlingComponent(PartitionHandlingComponentConsumer consumer)

      The partition handling configuration for distributed and replicated caches.

    - #### partitionHandlingComponent

          public T partitionHandlingComponent()

      The partition handling configuration for distributed and replicated caches.

    - #### partitionHandlingComponent

          public T partitionHandlingComponent(PartitionHandlingComponentSupplier supplier)

      The partition handling configuration for distributed and replicated caches.

    - #### lockingComponent

          public T lockingComponent(LockingComponent value)

      The locking configuration of the cache.

    - #### lockingComponent

          public T lockingComponent(LockingComponentConsumer consumer)

      The locking configuration of the cache.

    - #### lockingComponent

          public T lockingComponent()

      The locking configuration of the cache.

    - #### lockingComponent

          public T lockingComponent(LockingComponentSupplier supplier)

      The locking configuration of the cache.

    - #### backupsComponent

          public T backupsComponent(BackupsComponent value)

      The remote backups for this cache.

    - #### backupsComponent

          public T backupsComponent(BackupsComponentConsumer consumer)

      The remote backups for this cache.

    - #### backupsComponent

          public T backupsComponent()

      The remote backups for this cache.

    - #### backupsComponent

          public T backupsComponent(BackupsComponentSupplier supplier)

      The remote backups for this cache.

    - #### mixedJdbcStore

          public T mixedJdbcStore(MixedJDBCStore value)

      The cache JDBC store configuration.

    - #### mixedJdbcStore

          public T mixedJdbcStore(MixedJDBCStoreConsumer consumer)

      The cache JDBC store configuration.

    - #### mixedJdbcStore

          public T mixedJdbcStore()

      The cache JDBC store configuration.

    - #### mixedJdbcStore

          public T mixedJdbcStore(MixedJDBCStoreSupplier supplier)

      The cache JDBC store configuration.

    - #### remoteStore

          public T remoteStore(RemoteStore value)

      The cache remote store configuration.

    - #### remoteStore

          public T remoteStore(RemoteStoreConsumer consumer)

      The cache remote store configuration.

    - #### remoteStore

          public T remoteStore()

      The cache remote store configuration.

    - #### remoteStore

          public T remoteStore(RemoteStoreSupplier supplier)

      The cache remote store configuration.

    - #### activations

          public Long activations()

      The number of cache node activations (bringing a node into memory from a cache store) . May return null if the cache is not started.

    - #### activations

          public T activations(Long value)

      The number of cache node activations (bringing a node into memory from a cache store) . May return null if the cache is not started.

    - #### asyncMarshalling

          public Boolean asyncMarshalling()

      If enabled, this will cause marshalling of entries to be performed asynchronously.

    - #### asyncMarshalling

          public T asyncMarshalling(Boolean value)

      If enabled, this will cause marshalling of entries to be performed asynchronously.

    - #### averageReadTime

          public Long averageReadTime()

      Average time (in ms) for cache reads. Includes hits and misses. May return null if the cache is not started.

    - #### averageReadTime

          public T averageReadTime(Long value)

      Average time (in ms) for cache reads. Includes hits and misses. May return null if the cache is not started.

    - #### averageReplicationTime

          public Long averageReplicationTime()

      The average time taken to replicate data around the cluster. May return null if the cache is not started.

    - #### averageReplicationTime

          public T averageReplicationTime(Long value)

      The average time taken to replicate data around the cluster. May return null if the cache is not started.

    - #### averageWriteTime

          public Long averageWriteTime()

      Average time (in ms) for cache writes. May return null if the cache is not started.

    - #### averageWriteTime

          public T averageWriteTime(Long value)

      Average time (in ms) for cache writes. May return null if the cache is not started.

    - #### cacheStatus

          public String cacheStatus()

      The status of the cache component. May return null if the cache is not started.

    - #### cacheStatus

          public T cacheStatus(String value)

      The status of the cache component. May return null if the cache is not started.

    - #### elapsedTime

          public Long elapsedTime()

      Time (in secs) since cache started. May return null if the cache is not started.

    - #### elapsedTime

          public T elapsedTime(Long value)

      Time (in secs) since cache started. May return null if the cache is not started.

    - #### hitRatio

          public Double hitRatio()

      The hit/miss ratio for the cache (hits/hits+misses). May return null if the cache is not started.

    - #### hitRatio

          public T hitRatio(Double value)

      The hit/miss ratio for the cache (hits/hits+misses). May return null if the cache is not started.

    - #### hits

          public Long hits()

      The number of cache attribute hits. May return null if the cache is not started.

    - #### hits

          public T hits(Long value)

      The number of cache attribute hits. May return null if the cache is not started.

    - #### indexing

          public String indexing()

      If enabled, entries will be indexed when they are added to the cache. Indexes will be updated as entries change or are removed.

    - #### indexing

          public T indexing(String value)

      If enabled, entries will be indexed when they are added to the cache. Indexes will be updated as entries change or are removed.

    - #### indexingProperties

          public Map indexingProperties()

      Properties to control indexing behaviour

    - #### indexingProperties

          public T indexingProperties(Map value)

      Properties to control indexing behaviour

    - #### indexingProperty

          public T indexingProperty(String key,
                                    Object value)

      Properties to control indexing behaviour

    - #### invalidations

          public Long invalidations()

      The number of cache invalidations. May return null if the cache is not started.

    - #### invalidations

          public T invalidations(Long value)

      The number of cache invalidations. May return null if the cache is not started.

    - #### jndiName

          public String jndiName()

      The jndi-name to which to bind this cache instance.

    - #### jndiName

          public T jndiName(String value)

      The jndi-name to which to bind this cache instance.

    - #### misses

          public Long misses()

      The number of cache attribute misses. May return null if the cache is not started.

    - #### misses

          public T misses(Long value)

      The number of cache attribute misses. May return null if the cache is not started.

    - #### mode

          public Mode mode()

      Sets the clustered cache mode, ASYNC for asynchronous operation, or SYNC for synchronous operation.

    - #### mode

          public T mode(Mode value)

      Sets the clustered cache mode, ASYNC for asynchronous operation, or SYNC for synchronous operation.

    - #### module

          public String module()

      The module whose class loader should be used when building this cache's configuration.

    - #### module

          public T module(String value)

      The module whose class loader should be used when building this cache's configuration.

    - #### numberOfEntries

          public Integer numberOfEntries()

      The current number of entries in the cache. May return null if the cache is not started.

    - #### numberOfEntries

          public T numberOfEntries(Integer value)

      The current number of entries in the cache. May return null if the cache is not started.

    - #### passivations

          public Long passivations()

      The number of cache node passivations (passivating a node from memory to a cache store). May return null if the cache is not started.

    - #### passivations

          public T passivations(Long value)

      The number of cache node passivations (passivating a node from memory to a cache store). May return null if the cache is not started.

    - #### queueFlushInterval

          public Long queueFlushInterval()

      In ASYNC mode, this attribute controls how often the asynchronous thread used to flush the replication queue runs. This should be a positive integer which represents thread wakeup time in milliseconds.

    - #### queueFlushInterval

          public T queueFlushInterval(Long value)

      In ASYNC mode, this attribute controls how often the asynchronous thread used to flush the replication queue runs. This should be a positive integer which represents thread wakeup time in milliseconds.

    - #### queueSize

          public Integer queueSize()

      In ASYNC mode, this attribute can be used to trigger flushing of the queue when it reaches a specific threshold.

    - #### queueSize

          public T queueSize(Integer value)

      In ASYNC mode, this attribute can be used to trigger flushing of the queue when it reaches a specific threshold.

    - #### readWriteRatio

          public Double readWriteRatio()

      The read/write ratio of the cache ((hits+misses)/stores). May return null if the cache is not started.

    - #### readWriteRatio

          public T readWriteRatio(Double value)

      The read/write ratio of the cache ((hits+misses)/stores). May return null if the cache is not started.

    - #### remoteTimeout

          public Long remoteTimeout()

      In SYNC mode, the timeout (in ms) used to wait for an acknowledgment when making a remote call, after which the call is aborted and an exception is thrown.

    - #### remoteTimeout

          public T remoteTimeout(Long value)

      In SYNC mode, the timeout (in ms) used to wait for an acknowledgment when making a remote call, after which the call is aborted and an exception is thrown.

    - #### removeHits

          public Long removeHits()

      The number of cache attribute remove hits. May return null if the cache is not started.

    - #### removeHits

          public T removeHits(Long value)

      The number of cache attribute remove hits. May return null if the cache is not started.

    - #### removeMisses

          public Long removeMisses()

      The number of cache attribute remove misses. May return null if the cache is not started.

    - #### removeMisses

          public T removeMisses(Long value)

      The number of cache attribute remove misses. May return null if the cache is not started.

    - #### replicationCount

          public Long replicationCount()

      The number of times data was replicated around the cluster. May return null if the cache is not started.

    - #### replicationCount

          public T replicationCount(Long value)

      The number of times data was replicated around the cluster. May return null if the cache is not started.

    - #### replicationFailures

          public Long replicationFailures()

      The number of data replication failures. May return null if the cache is not started.

    - #### replicationFailures

          public T replicationFailures(Long value)

      The number of data replication failures. May return null if the cache is not started.

    - #### statisticsEnabled

          public Boolean statisticsEnabled()

      If enabled, statistics will be collected for this cache

    - #### statisticsEnabled

          public T statisticsEnabled(Boolean value)

      If enabled, statistics will be collected for this cache

    - #### stores

          public Long stores()

      The number of cache attribute put operations. May return null if the cache is not started.

    - #### stores

          public T stores(Long value)

      The number of cache attribute put operations. May return null if the cache is not started.

    - #### successRatio

          public Double successRatio()

      The data replication success ratio (successes/successes+failures). May return null if the cache is not started.

    - #### successRatio

          public T successRatio(Double value)

      The data replication success ratio (successes/successes+failures). May return null if the cache is not started.

    - #### timeSinceReset

          public Long timeSinceReset()

      Time (in secs) since cache statistics were reset. May return null if the cache is not started.

    - #### timeSinceReset

          public T timeSinceReset(Long value)

      Time (in secs) since cache statistics were reset. May return null if the cache is not started.

Copyright © 2018 JBoss by Red Hat. All rights reserved.